
Name:          geronimo-corba-api
Version:       1.0
Release:       %mkrel 1
Summary:       Geronimo CORBA Spec
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
Source0:       geronimo-spec-corba-1.0-src-svn.tar.gz
Source1:       geronimo-corba-api-depmap
Patch0:        geronimo-corba-1.0-pom_xml.patch

BuildRequires: geronimo-parent-poms
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: avalon-logkit
BuildRequires: jacorb
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: idlj-maven-plugin
BuildRequires: plexus-compiler
Requires:      jpackage-utils
BuildArch:     noarch


%description
Geronimo CORBA Spec.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo CORBA Spec.

This package contains javadoc for %{name}.

%prep
%setup -q -n geronimo-spec-corba
%patch0 -p0

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  -Dmaven.test.skip=true \
   install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/geronimo-spec-corba-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-corba-api.jar

%add_to_maven_depmap org.apache.geronimo.specs geronimo-spec-corba %{version} JPP geronimo-corba-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-corba-api.pom

mkdir -p %{buildroot}%{_javadocdir}/geronimo-corba-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-corba-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-corba-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/geronimo-corba-api

%changelog

* Sat Nov 26 2011 gil <gil> 1.0-1.mga2
+ Revision: 171993
- adapt to current guidelines
- imported package geronimo-corba-api

  + dmorgan <dmorgan>
    - Clean spec file


* Tue Jul 19 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

